IBM XL Fortran Addons for Linux 15.1

Downloadable files


Abstract

This page contains the Addons package for use with applications developed using the IBM XL Fortran for Linux 15.1 compiler.

Download Description

The Addons package contains files that may be required by some third-party applications. Only download and install the Addons package if instructed by your application provider.

Table of Contents
Sections Description

The Change history section provides an overview on what is new in this release with a description of any new functions or enhancements when applicable.

The Prerequisites section provides important information to review prior to the installation of this release.

The Download package section provides the direct link to obtain the download package for installation in your environment.

The Installation instructions section provides the installation instructions necessary to apply this release into your environment.

Prerequisites

Prerequisites include:

Operating system:

  • Red Hat Enterprise Linux 6.4 (RHEL 6.4) or later
  • Red Hat Enterprise Linux 7.0 (RHEL 7.0) or later
  • SUSE Linux Enterprise Server 11 Service Pack 2 (SLES 11 SP2) or later

Hardware:

Disk space:

  • 65 MB

Installation Instructions

Review the installation instructions.

Terms and Conditions: By downloading, installing, copying, accessing or using this software you agree to the terms and conditions outlined in the License Agreement. Please review the License Agreement and License Information documents prior to proceeding with download or installation.

Installation instructions

To install this software, complete the following steps:

  1. You must install the Runtime Environment packages before installing the "addons" packages, if installing both. Starting from XLF 15.1 RTE, xlf.lib is renamed to libxlf-devel, and xlsmp.lib is renamed to libxlsmp-devel.

  2. Download, unzip and untar the rpm packages.

    For example:

    gunzip {filename}.tar.gz
    tar -xvf {filename}.tar

  3. You must uninstall any previous versions of the rpms if any are installed. Do not uninstall rpms that you are not upgrading.

    To uninstall an rpm package, use the following command:

    rpm -e {package name}

    You must uninstall Runtime environment rpm packages in the following order:

    rpm -e xlf.rte-x.x.x.x-YYMMDD
    rpm -e xlf.msg.rte-x.x.x.x-YYMMDD
    rpm -e xlsmp.rte-x.x.x.x-YYMMDD
    rpm -e xlsmp.msg.rte-x.x.x.x-YYMMDD

    You can uninstall addons rpm packages in any order.

    For example:

    rpm -e libxlf-devel.x.x.x-x.x.x.x-YYMMDD
    rpm -e libxlsmp-devel.x.x.x-x.x.x.x-YYMMDD

    where x.x.x.x-YYMMDD or x.x.x-x.x.x.x-YYMMDD refers to the level of the rpm package installed on your system.

    To determine the level, use the following commands:

    rpm -q xlf.rte
    rpm -q xlf.msg.rte
    rpm -q xlsmp.rte
    rpm -q xlsmp.msg.rte
    rpm -q libxlsmp-devel
    rpm -q libxlf-devel

    In cases where an rpm package is required by other installed packages, for example, XL C/C++, the shared package may not uninstall. To upgrade a shared package, specify the --nodeps option with your rpm command.

    For example:

    rpm -e --nodeps xlsmp.rte-x.x.x.x-YYMMDD

  4. Install the packages using the following command:
    rpm -ivh {package name}

    You must install the Runtime environment rpm packages in the following order:

    rpm -ivh xlsmp.msg.rte-x.x.x.x-YYMMDD.ppc64.rpm
    rpm -ivh xlsmp.rte-x.x.x.x-YYMMDD.ppc64.rpm
    rpm -ivh xlf.msg.rte-x.x.x.x-YYMMDD.ppc64.rpm
    rpm -ivh xlf.rte-x.x.x.x-YYMMDD.ppc64.rpm

    You can install the addons rpm packages in the following order:

    rpm -ivh rpm -ivh libxlf-devel.x.x.x-x.x.x.x-YYMMDD
    rpm -ivh libxlsmp-devel.x.x.x-x.x.x.x-YYMMDD.ppc64.rpm

    where x.x.x.x or x.x.x-x.x.x.x refers to the version number, and YYMMDD represents the build date of the rpms.

  5. Uninstallation Instructions

    To uninstall Runtime environment component, run the following commands:
    rpm -e xlf.rte-x.x.x.x-YYMMDD
    rpm -e xlf.msg.rte-x.x.x.x-YYMMDD
    rpm -e xlsmp.rte-x.x.x.x-YYMMDD
    rpm -e xlsmp.msg.rte-x.x.x.x-YYMMDD

    To uninstall addons software, run the following commands:
    rpm -e libxlf-devel.x.x.x-x.x.x.x-YYMMDD
    rpm -e libxlsmp-devel.x.x.x-x.x.x.x-YYMMDD

    where x.x.x.x or x.x.x-x.x.x.x refers to the version number, and YYMMDD represents the build date of the rpms.

    In cases where an rpm package is required by other installed packages, that package might not uninstall.

Download package

The Runtime package addons.15.1.0.linux_ppc.tar.gz contains the following files:

    README
    LicenseAgreement.pdf
    license.pdf
    libxlf-devel.15.1.0-15.1.0.0-140509.ppc64.rpm
    libxlsmp-devel.4.1.0-4.1.0.0-140411.ppc64.rpm

Change history

What's new

For information about new features and enhancements in the XL Fortran for Linux 15.1 compiler, review the Announcement letter.

Click the link in the Download Options column:

Download RELEASE DATE LANGUAGE SIZE(Bytes) Download Options
addons.15.1.0.linux_ppc.tar.gz 6 Jun 2014 English 21864178 FTP

Technical support

The IBM XL Fortran Addons for Linux is not supported as a stand-alone software product.

If you suspect a problem with the IBM XL Fortran Addons while using it with a third-party application, contact your application provider for support.

Full support (installation, defect support and general questions) for the IBM XL Fortran Addons is available with the software subscription and support agreement for the XL Fortran Compilers.

Rate this page:

(0 users)Average rating

Document information


More support for:

XL Fortran for Linux
Addons

Software version:

15.1

Operating system(s):

Linux

Reference #:

4037596

Modified date:

2014-06-06

Translate my page

Machine Translation

Content navigation